<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>Insert title here</title>
<style type="text/css">
/* body의 내부 어딘가의 모든 h1에 적용 됨 */
body h1 {
	color: red;
}

/* body 직속 자식인 h1에만 적용 됨 */
body>h1 {
	color: blue;
}

/* h1과 p 모두 적용됨 */
h1, p {
	background-color: yellow;
}

/* id가 dv인 항목 내부 어딘가의 h1에 모두 적용됨 */
#dv h1 {
	background-color: green;
}

/* id가 dv인 항목 내부 어딘가의 div에 모두 적용됨
id가 dv인 항목 내부의 div 아래의 h2에까지 영향을 주는데,
부모의 style은 자식에게 상속된다. 
 */
#dv div {
	color: orange;
}

p {
	/* !important를 붙이면 모든 우선순위를 무시하고 적용된다.*/
	color: purple !important;
}
.point {
	color: skyblue;
}
</style>
</head>
<body>
	<h1>title1</h1>
	<div id="dv">
		<div>
			<h1>title2</h1>
			<h2>title3</h2>
		</div>
	</div>
	<p id="point">우선순위는 요소들에 적용할 스타일이 중복될 때 적용되는 스타일을 계산하는 방법이다.</p>

	<p>요소들에 스타일을 적용하기 위해서는 선택자를 지정해서 설정할 수 있다.</p>
</body>
</html>